Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.src
Class Packet2ClientProtocol

    java.lang.Object
      net.minecraft.src.Packet
          net.minecraft.src.Packet2ClientProtocol

    public class Packet2ClientProtocol

extends Packet

Field Summary

Fields inherited from class net.minecraft.src.Packet
`creationTimeMillis, isChunkDataPacket, packetIdToClassMap, receivedID, receivedSize, sentID, sentSize`

Constructor Summary
`Packet2ClientProtocol()`
`Packet2ClientProtocol(int par1, String par2Str, String par3Str, int par4)`

Method Summary
`int` | `getPacketSize()` Abstract.
`int` | `getProtocolVersion()` Returns the protocol version.
`String` | `getUsername()` Returns the username.
`void` | `processPacket(NetHandler par1NetHandler)` Passes this Packet on to the NetHandler for processing.
`void` | `readPacketData(DataInputStream par1DataInputStream)` Abstract.
`void` | `writePacketData(DataOutputStream par1DataOutputStream)` Abstract.

Methods inherited from class net.minecraft.src.Packet
`containsSameEntityIDAs, getNewPacket, getPacketId, isRealPacket, isWritePacket, readBytesFromStream, readItemStack, readNBTTagCompound, readPacket, readString, toString, writeByteArray, writeItemStack, writePacket, writeString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Packet2ClientProtocol

    public Packet2ClientProtocol()

### Packet2ClientProtocol

    public Packet2ClientProtocol(int par1,
                                 String par2Str,
                                 String par3Str,
                                 int par4)

Method Detail

### readPacketData

    public void readPacketData(DataInputStream par1DataInputStream)
                        throws IOException

  Abstract. Reads the raw packet data from the data stream.

  Specified by:
    `readPacketData` in class `Packet`
  Throws:
    `IOException`

### writePacketData

    public void writePacketData(DataOutputStream par1DataOutputStream)
                         throws IOException

  Abstract. Writes the raw packet data to the data stream.

  Specified by:
    `writePacketData` in class `Packet`
  Throws:
    `IOException`

### processPacket

    public void processPacket(NetHandler par1NetHandler)

  Passes this Packet on to the NetHandler for processing.

  Specified by:
    `processPacket` in class `Packet`

### getPacketSize

    public int getPacketSize()

  Abstract. Return the size of the packet (not counting the header).

  Specified by:
    `getPacketSize` in class `Packet`

### getProtocolVersion

    public int getProtocolVersion()

  Returns the protocol version.

### getUsername

    public String getUsername()

  Returns the username.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD